
海思wifi7 - Bug #3538

云客户端下发修改DeviceOnlineNofication属性不生效

06/19/2025 10:14 - 天琦 刘

Status: Closed Start date: 06/19/2025

Priority: Normal Due date:  

Assignee: 天驰 王 % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

测试版本: 20250611165318 复现概率: 100%

Description

测试步骤：

1.网关正常连接智能网关管理平台；

2.进入容器，查看网关与平台注册和心跳状态；

3.使用TMAC软件修改测试主机MAC地址，使得LANHost达到网关支持的最大值（默认64个）；

4.使用Postman发送命令查询下挂设备： {

"RPCMethod":"GetProperitesOfSubObjects",

"ID":"30e06488-efd0-484f-ac63-236061eb802b",

"SequenceId":"1234ABCD",

"ServiceName":"com.ctc.igd1",

"InterfaceName":"com.ctc.igd1.LANHost",

"ObjectPath":"/com/ctc/igd1/Config/LANHosts"

}

5.查看返回结果和返回时间，重复进行3次测试；

6.使用Postman发送命令查询某下挂设备多属性信息： {

"RPCMethod":"GetPropertyValues",

"ServiceName":"com.ctc.igd1",

"Params":[{"ObjectPath":"/com/ctc/igd1/Config/LANHosts/64",

"InterfaceName":"com.ctc.igd1.LANHost",

"Properties":["MAC","HostName","DevName","ControlStatus","InternetAccess","StorageAccess","MaxUSBandwidth","MaxDSBandwi

dth","DevType","IP","IPv6","ConnectionType","Port","Brand","Model","OS","Active","LatestActiveTime","LatestInactiveTime","OnlineTi

me","RxBytes","TxBytes","PowerLevel","DeviceOnlineNofication","NegoRate"]}],

"ID":"81d3bbdf-5360-c70c-cc97-60a22293ccf8","SequenceId":"1ED514C9",

"MAC":"E8C4179BE4A0"

}

7.查看返回结果和返回时间，重复进行3次测试；

8.使用Postman发送命令修改下挂设备的DevName信息并打开下挂设备上报: {

"RPCMethod":"SetPropertyValues",

"ID":"7172750b-d982-c5b9-df12-6000091cba39",

"MAC": "E8C4179BE4A0",

"SequenceId":"1234ABCD",

"ServiceName":"com.ctc.igd1",

"Params":[{"ObjectPath":"/com/ctc/igd1/Config/LANHosts/64","InterfaceName":"com.ctc.igd1.LANHost","Properties":[{"DevName":"te

st sample","DeviceOnlineNofication":"true"}]}],

"SequenceId":"12345678"

}

9.重复步骤6；

通过标准：

1.步骤2中，注册和心跳正常；

2.步骤5中，命令返回正常，下挂设备共计64个，云客户端平均响应时间小于300毫秒；

3.步骤7中，命令返回正常，云客户端平均响应时间在300毫秒以内,查看"DevName"及"DeviceOnlineNofication"属性值；

4.步骤9中，命令返回正常，云客户端平均响应时间在200毫秒以内，"DevName"及"DeviceOnlineNofication"属性值改变；

实际结果：

步骤9中，DeviceOnlineNofication属性值未改变

2025-06-19 10:06:41.608 [INFO] <-

{"ID":"e2bba3b9-28c8-4e67-950d-5f879e5a5070","MAC":"C4F800087C20","Params":[{"InterfaceName":"com.ctc.igd1.LANHost","Obj
ectPath":"/com/ctc/igd1/Config/LANHosts/64","Properties":["MAC","HostName","DevName","ControlStatus","InternetAccess","Storag

eAccess","MaxUSBandwidth","MaxDSBandwidth","DevType","IP","IPv6","ConnectionType","Port","Brand","Model","OS","Active","Lat

estActiveTime","LatestInactiveTime","OnlineTime","RxBytes","TxBytes","PowerLevel","DeviceOnlineNofication","NegoRate"]}],"RPC

Method":"GetPropertyValues","SequenceId":"1ED514C9","ServiceName":"com.ctc.igd1"} (574)

2025-06-19 10:06:41.714 [INFO] >

{"Ack":"GetPropertyValues","ID":"e2bba3b9-28c8-4e67-950d-5f879e5a5070","Status":"0","Params":[{"ObjectPath":"/com/ctc/igd1/Con

fig/LANHosts/64","InterfaceName":"com.ctc.igd1.LANHost","Properties":[{"MAC":"08626650A838"},{"HostName":"rbwww"},{"DevNam

e":""},{"ControlStatus":false},{"InternetAccess":2},{"StorageAccess":true},{"MaxUSBandwidth":0},{"MaxDSBandwidth":0},{"DevType":"

"},{"IP":"192.168.1.122"},{"IPv6":""},{"ConnectionType":0},{"Port":3},{"Brand":""},{"Model":""},{"OS":""},{"Active":true},{"LatestActiveTim

e":"2025-06-19_09:59:15"},{"LatestInactiveTime":""},{"OnlineTime":442},{"RxBytes":0},{"TxBytes":0},{"PowerLevel":0},{"DeviceOnline

Nofication":false},{"NegoRate":1000000}]}],"SequenceId":"1ED514C9"} (713)

2025-06-19 10:07:30.691 [INFO] <

{"ID":"3030966e-85a2-4925-94d4-5a35d442f591","MAC":"C4F800087C20","Params":[{"InterfaceName":"com.ctc.igd1.LANHost","Obj

ectPath":"/com/ctc/igd1/Config/LANHosts/64","Properties":[{"DevName":"test

sample","DeviceOnlineNofication":"true"}]}],"RPCMethod":"SetPropertyValues","SequenceId":"12345678","ServiceName":"com.ctc.ig

d1"} (324)

2025-06-19 10:07:31.146 [INFO] >

{"Ack":"SetPropertyValues","ID":"3030966e-85a2-4925-94d4-5a35d442f591","Status":"0","SequenceId":"12345678"} (108)

2025-06-19 10:07:58.451 [INFO] <

{"ID":"b0ec1597-d178-4e31-8215-a60d703d5821","MAC":"C4F800087C20","Params":[{"InterfaceName":"com.ctc.igd1.LANHost","Ob

jectPath":"/com/ctc/igd1/Config/LANHosts/64","Properties":["MAC","HostName","DevName","ControlStatus","InternetAccess","Storag

eAccess","MaxUSBandwidth","MaxDSBandwidth","DevType","IP","IPv6","ConnectionType","Port","Brand","Model","OS","Active","Lat

estActiveTime","LatestInactiveTime","OnlineTime","RxBytes","TxBytes","PowerLevel","DeviceOnlineNofication","NegoRate"]}],"RPC

Method":"GetPropertyValues","SequenceId":"1ED514C9","ServiceName":"com.ctc.igd1"} (574)

2025-06-19 10:07:58.562 [INFO] ->

{"Ack":"GetPropertyValues","ID":"b0ec1597-d178-4e31-8215-a60d703d5821","Status":"0","Params":[{"ObjectPath":"/com/ctc/igd1/Co

nfig/LANHosts/64","InterfaceName":"com.ctc.igd1.LANHost","Properties":[{"MAC":"08626650A838"},{"HostName":"rbwww"},{"DevNa

me":"test

sample"},{"ControlStatus":false},{"InternetAccess":2},{"StorageAccess":true},{"MaxUSBandwidth":0},{"MaxDSBandwidth":0},{"DevTyp

e":""},{"IP":"192.168.1.122"},{"IPv6":""},{"ConnectionType":0},{"Port":3},{"Brand":""},{"Model":""},{"OS":""},{"Active":true},{"LatestActive

Time":"2025-06-19_09:59:15"},{"LatestInactiveTime":""},{"OnlineTime":520},{"RxBytes":0},{"TxBytes":0},{"PowerLevel":0},{"DeviceOnl

ineNofication":false},{"NegoRate":1000000}]}],"SequenceId":"1ED514C9"} (724)

History

#1 - 07/14/2025 11:55 - 家衡 付

- Assignee changed from 良缘 彭 to 天驰 王

复测一下

#2 - 07/14/2025 15:28 - 天驰 王

- Status changed from New to Closed

#3 - 07/14/2025 15:28 - 天驰 王

20250714095142_b617ec30 ok
